# Snippet-Executor

This is a closure manager. It's useful when you write some code brocks in one file. You don't have to split the file.

```javascript
import Codes from 'codes'

const lessons = new Codes()
lessons.push('join array', () => {
  const nums = [1]
  nums.join([2])
  console.log(nums)
})

lessons.push('join string', () => {
  const nums = '1'
  nums += 2
  console.log(nums)
})

lessons.runLast()
// execute 'join string'
// => 12
```

## Methods

```typescript
push(code: Function): this
push(title: string, code: Function): this

runAt(index: number | string, args: any[] = []): any
runFirst(args: any[] = []): any
runLast(args: any[] = []): any {
runMatch(pattern: RegExp, args: any[] = []): any
```
